OCS Locale error

Are you responsible for making OCS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, michael, John

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.
RickMath
Posts: 264
Joined: Fri Feb 27, 2009 12:30 am

OCS Locale error

Postby RickMath » Sun May 18, 2014 2:09 pm

My ocs site has been working fine. Have not checked it for several days. Suddenly I get the following error.

Fatal error: Cannot redeclare class Locale in /home/marketrm/public_html/ocs/classes/i18n/Locale.inc.php on line 43

Here is the address of the site http://www.amtp.org/ocs/index.php/amtp/amtp2014/index

Really need help on this. I added a new conference in March and everything was working fine then. I have made no changes to the ocs files.

Thanks in advance.

Rick :(

RickMath
Posts: 264
Joined: Fri Feb 27, 2009 12:30 am

Re: OCS Locale error

Postby RickMath » Sun May 18, 2014 6:22 pm

My server provider tells me that they are now running php version 5.3

The last upgrade that I made to OCS was in 2009. I do not know how to tell what version I am running. With lots of patches and customizing our OCS I do not know how to upgrade if I need to.

Please help soon!

Thanks

asmecher
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm
Contact:

Re: OCS Locale error

Postby asmecher » Sun May 18, 2014 9:07 pm

Hi Rick,

That's due to a PHP incompatibility with new PHP and older versions of OCS; it's definitely been fixed in the current stable release of OCS, so I'd suggest upgrading. (You can check your OCS version e.g. by looking in dbscripts/xml/version.xml.)

Regards,
Alec Smecher
Public Knowledge Project Team

RickMath
Posts: 264
Joined: Fri Feb 27, 2009 12:30 am

Re: OCS Locale error

Postby RickMath » Mon May 19, 2014 10:24 am

Alec

Thanks for your response. I can' get to the files right now as the site was moved to another server with an older version of php.

We are there temporarily as that server will be upgraded soon. Last time I checked I think we are running 2.1.1 or 2.1.2. Most of the files are dated in 2009.

I have made several modifications and patches over the years. I may need some advice on protecting or recreating these when we upgrade. Any suggestions would be helpful to prepare for this.

Thanks as always for your help.

Rick
:D

RickMath
Posts: 264
Joined: Fri Feb 27, 2009 12:30 am

Re: OCS Locale error

Postby RickMath » Wed Jun 18, 2014 7:21 am

We are currently running 2.1.2

I have modified the Locale file and made several customizations to various files following suggestions here.

Please advise us how to upgrade so we minimize the loss of the changes.

Thanks

Rick

asmecher
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm
Contact:

Re: OCS Locale error

Postby asmecher » Wed Jun 18, 2014 7:29 am

Hi Rick,

See the OxS Quick Reference for some guidance on upgrades, particularly using the diff/patch tools to migrate modifications.

Regards,
Alec Smecher
Public Knowledge Project Team

RickMath
Posts: 264
Joined: Fri Feb 27, 2009 12:30 am

Re: OCS Locale error

Postby RickMath » Wed Jun 18, 2014 9:11 am

Alec

Thanks for the quick response. We are also running 2.2.4 of OJS. Is this compatible with the latest PHP version?

Thanks and just me know if I need to move this to an OJS forum. Just thought I would ask here.

Rick :D

asmecher
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm
Contact:

Re: OCS Locale error

Postby asmecher » Wed Jun 18, 2014 9:24 am

Hi Rick,

You'll have the same problem with OJS 2.2.4 -- it still uses the Locale class.

Regards,
Alec Smecher
Public Knowledge Project Team


Return to “OCS Technical Support”

Who is online

Users browsing this forum: No registered users and 1 guest